Skip to content
Skip to main content
POST
/v3/scheduling/sessions

Create a session

Creates a new short-lived session that you can pass to the Scheduling Component to enforce user authentication. Your request must include the ID of an existing Configuration object.

NYLAS API KEY

Request body

Create a new scheduling session

configuration_idstring

The ID of the Scheduler Configuration object for the session. If you're using slug, configuration_id is not required.

Example: "AAAA-BBBB-1111-2222"
slugstring

The slug of the Scheduler Configuration object for the session. You can use slug instead of configuration_id.

Example: "my-page-slug"
time_to_livenumber

The time to live for the session in minutes. The maximum value is 30.

Default: 5
Example: 10

Responses

request_idstring

The request ID.

dataobject
POSThttps://api.us.nylas.com/v3/scheduling/sessions

Find your API key in the Nylas Dashboard under API Keys in your application settings.

Loading editor...

Autocomplete and validation come from this endpoint's request schema.